Subject: Re: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Sep 2015 17:32:13 +0300

> Date: Wed, 02 Sep 2015 09:02:31 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > So maybe we should introduce a special copy_sequence_no_quit function
>  > that never calls QUIT, and then use it for copying the timer lists.
> 
> Yes.

I think we prefer the alternative that just blocks input and atimers
instead.

>  > Timer lists are never too long, so that shouldn't be a problem.
> 
> Why do you think that copy_sequence_no_quit would be slower than
> Fcopy_sequence?  The problem of copy_sequence_no_quit would be with
> circularity, not with length.

Sorry for being unclear.  I meant that the call to QUIT in
Fcopy_sequence is to allow the user to interrupt a too long copy, so I
think it won't be missed with timer lists, which are normally short.